<template >
  <div style="position:relative;">
  </div>
  <div v-if="showApp===true" class="appContainer appshowAnimation absolute ui success message">
    <form class="ui form" @submit.prevent="addApp" >

      <h2 class="center">Create Application</h2>
      <label>
        <input  v-model="appName" type="text" placeholder="name">
      </label>
      <label>
        <input v-model="description" type="text" placeholder="Description">
      </label>
      <button class="ui button" type="submit"> Add Application </button>
    </form>
  </div>

  <Status></Status>
  <NavBar></NavBar>
  <p v-if="eta===true" class="eta"> Connected as  : {{ connectedUser }}</p>
  <button @click="appWindow"> Add Application </button>

  <div class="home">

  </div>
  <div class="">
    <div class="ui segment">
      <div class="ui two column very relaxed grid">
        <div class="column">
            <div class="success ui   message myMessage"  v-for="app in appList" :key="app.index">
              <p>  {{ app.name }} </p>

              <br>
            </div>
        </div>
        <div class="column">
          <p>5</p>
          <p>6</p>
          <p>7</p>
          <p>8</p>
        </div>
      </div>
      <div class="ui vertical divider">
        and
      </div>


    </div>






  </div>
</template>

<script>
// @ is an alias to /src
import firebase from "firebase";
import NavBar from "@/components/NavBar";
import Status from "@/components/Status";
import store from '@/store';



firebase.initializeApp(store.state.firebaseConfig)


export default {
  name: 'Home',
  components : {
    NavBar,Status
  },

  data(){
    return {
      appList : [],
      appName : '',
      ticketNb : '',
      description : '',
      showApp : false,
      liste : [1,2,3,4],
      connectedUser : localStorage.getItem('user'),

    }
  },
  created() {
    let db = firebase.firestore()
    let backApp = []
    db.collection('app_list').get().then(function(querySnapshot) {
      querySnapshot.forEach(function(doc) {
        console.log(doc.id, " => ", doc.data());
        $(backApp).push(doc.data())
      });

    });
  },

  methods:{
    appWindow(){
      this.showApp = this.showApp !== true;
    },
  },
  computed: {

    eta(){
      return this.$store.state.isAuthenticated
    },

    signOut: function () {
        this.$store.commit('signOut')
    },

    addApp(){
      let db = firebase.firestore()

      db.collection('app_list').add({
        name : this.appName,
        ticketNb : this.ticketNb,
        description : this.description
      }).then(function(docRef) {
        this.showApp = false
        console.log("Document written with ID: ", docRef.id);
      }.bind(this))
          .catch(function(error) {
            console.error("Error adding document: ", error);
          });
    }
  }


}

</script>

<style>
.myMessage{
  text-align: left;
  overflow: visible;
}
.absolute{
  transition : 2s;
  z-index: 100;
  position : absolute;
  left : 33vw;
  top : 1px;
}

.appContainer{
  width: 33vw;
  height: 33vh;
}
.center{
  text-align: center;
}
.appshowAnimation{
  animation-name : openAddApp;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  transition : 2s;
}
@keyframes openAddApp {

  0%{ top : -300px;}
  100%{top : 10px;}
}
</style>
